=== debian/changelog ===
quasselc (0~git20170114-1) experimental; urgency=medium

  * New upstream snapshot.
  * Drop patch no_asm_socket.patch: applied upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 14 Jan 2017 20:46:07 +0000

quasselc (0~git20161221-2) experimental; urgency=medium

  * Add patch no_asm_socket.patch: fix build on non-Linux platforms by
    avoiding asm/socket.h.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 30 Dec 2016 12:04:13 +0000

quasselc (0~git20161221-1) experimental; urgency=medium

  * New upstream snapshot.
   + Changes license to LGPL-3+.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 21 Dec 2016 16:34:50 +0000

quasselc (0~git20150406-1) experimental; urgency=low

  * Initial release. (Closes: #823985)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 May 2016 00:09:20 +0000
