=== debian/control ===
Source: quasselc
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libglib2.0-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/phhusson/quasselc
Vcs-Git: git://anonscm.debian.org/collab-maint/quasselc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/quasselc.git/

Package: libquasselc0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: quassel-core
Description: Library for connecting to Quassel cores
 This library provides an API for connecting to Quassel servers (cores),
 allowing for the implementation of custom Quassel UIs or bots.

Package: libquasselc-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, libquasselc0 (= ${binary:Version})
Description: Library for connecting to Quassel cores
 This library provides an API for connecting to Quassel servers (cores),
 allowing for the implementation of custom Quassel UIs or bots.
 .
 This package contains the development headers.
